'use strict';

/**
 * @param {Egg.Application} app - egg application
 */
module.exports = app => {
  const { router, controller } = app;
  router.get('/', controller.home.index);
  require('./router/visit.js')(app);
  require('./router/info.js')(app);
  require('./router/other.js')(app);
  require('./router/currentMonthRank.js')(app);
  require('./router/individualOrDeptRank.js')(app);
};
