'use strict';

module.exports = app => {
  const { router, controller } = app;

  // 当月数据排行榜
  router.post('/chart/info/infodept', controller.currentMonthRank.infodept); // 1.当前月份排行榜-地区采集数据【待测试】
  router.post('/chart/info/infoperson', controller.currentMonthRank.infoperson); // 2.当前月份排行榜-个人采集数据【已测试】
  router.post('/chart/visit/visitdept', controller.currentMonthRank.visitdept); // 3.当前月份排行榜-地区探访数据【已测试】
  router.post('/chart/visit/visitperson', controller.currentMonthRank.visitperson); // 4.当前月份排行榜-个人探访数据【已测试】
  router.post('/chart/visit/visitnumday', controller.currentMonthRank.visitnumday); // 5.当前月份排行榜-上周探访（次）【已测试】
  router.post('/chart/message/selectInfoMessage', controller.currentMonthRank.selectInfoMessage); // 6.当前月份排行榜-实时信息【已测试】

};
