'use strict';

const Controller = require('egg').Controller;

class IndividualOrDeptRankController extends Controller {

  /**
     * 1.地区/个人排行统计-地区探访排行【已完成】
     */
  async visitdeptpage() {
    const { ctx, service } = this;
    const query = ctx.request.body;
    delete query.deptId;
    const result = await service.individualOrDeptRank.visitdeptpage(query);
    ctx.body = result;
  }

  /**
     * 2.地区/个人排行统计-个人探访排行【已完成】
     */
  async visitpersonpage() {
    const { ctx, service } = this;
    const query = ctx.request.body;
    delete query.deptId;
    const result = await service.individualOrDeptRank.visitpersonpage(query);
    ctx.body = result;
  }

  /**
     * 3.地区/个人排行统计-地区采集排行【已完成】
     */
  async infodeptpage() {
    const { ctx, service } = this;
    const query = ctx.request.body;
    delete query.deptId;
    const result = await service.individualOrDeptRank.infodeptpage(query);
    ctx.body = result;
  }

  /**
     * 4.地区/个人排行统计-个人采集排行【已完成】
     */
  async infopersonpage() {
    const { ctx, service } = this;
    const query = ctx.request.body;
    delete query.deptId;
    if (Object.keys(query).length === 0) {
      query.dept1 = this.app.config.dept1ObjectId;
    }
    const result = await service.individualOrDeptRank.infopersonpage(query);
    ctx.body = result;
  }

  /**
     * 5.地区/个人排行统计-根据【地区名字】查询地区ObjectId【已完成】
     */
  async selectDeptByName() {
    const { ctx, service } = this;
    const query = ctx.request.body;
    delete query.deptId;
    const result = await service.individualOrDeptRank.selectDeptByName(query);
    ctx.body = result;
  }

}
module.exports = IndividualOrDeptRankController;
