'use strict';

module.exports = app => {
  const { router, controller } = app;

  // 地区/个人排行统计
  router.post('/chart/visit/visitdeptpage', controller.individualOrDeptRank.visitdeptpage); // 1.地区探访排行【已完成】
  router.post('/chart/visit/visitpersonpage', controller.individualOrDeptRank.visitpersonpage); // 2.个人探访排行【已完成】
  router.post('/chart/info/infodeptpage', controller.individualOrDeptRank.infodeptpage); // 3.地区采集排行【已完成】
  router.post('/chart/info/infopersonpage', controller.individualOrDeptRank.infopersonpage); // 4.个人采集排行【已完成】
  router.post('/chart/dept/selectDeptByName', controller.individualOrDeptRank.selectDeptByName); // 5.根据【地区名字】查询地区ObjectId【已完成】


};
