'use strict';

module.exports = app => {
  const { router, controller } = app;

  // 共用接口
  router.post('/chart/dept/findDept', controller.home.findDept);

  // 探访信息统计( 12个接口 )
  router.post('/chart/visit/health', controller.visit.health); // 1.老年人健康状况【已测试】
  router.post('/chart/visit/mind', controller.visit.mind); // 2.老年人精神状态【已测试】
  router.post('/chart/visit/security', controller.visit.security); // 3.老年人安全情况【已测试】
  router.post('/chart/visit/hygiene', controller.visit.hygiene); // 4.老年人卫生环境【已测试】
  router.post('/chart/visit/live', controller.visit.live); // 5.老年人居住情况【已测试】
  router.post('/chart/user/selectUserBySex', controller.visit.selectUserBySex); // 6.巡访员性别分布统计【已测试】
  router.post('/chart/user/selectAuthAndLook', controller.visit.selectAuthAndLook); // 7.巡访员认证数据统计【已测试】
  router.post('/chart/value/selectUserValue', controller.visit.selectUserValue); // 8.巡访员积分排行TOP10【已测试】
  router.post('/chart/user/selectByJob', controller.visit.selectByJob); // 9.巡访员职务分布统计【已测试】
  router.post('/chart/value/selectDeptValue', controller.visit.selectDeptValue); // 10.地区总积分【已测试】
  router.post('/chart/dept/visitWay', controller.visit.visitWay); // 11.巡访员巡访问方式统计
  router.post('/chart/visit/visitnum', controller.visit.visitnum); // 12.巡访数量统计

};
